## GimpPickButton

GimpPickButton — Widget to pick a color from screen.

## Synopsis

                        GimpPickButton;
    GtkWidget *         gimp_pick_button_new                (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkButton
                                           +----GimpPickButton

## Implemented Interfaces

GimpPickButton implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Signals

      "color-picked"                                   : Run First

## Description

GimpPickButton is a specialized button. When clicked, it changes the cursor to a color-picker pipette and allows the user to pick a color from any point on the screen.

## Details

### GimpPickButton

    typedef struct _GimpPickButton GimpPickButton;

### gimp_pick_button_new ()

    GtkWidget *         gimp_pick_button_new                (void);

Creates a new GimpPickButton widget.

Returns : | A new GimpPickButton widget.

## Signal Details

### The `"color-picked"` signal

    void                user_function                      (GimpPickButton *gimppickbutton,
                                                            gpointer        arg1,
                                                            gpointer        user_data)           : Run First

This signal is emitted when the user has picked a color.

`gimppickbutton` : | the object which received the signal.
`arg1` : | pointer to a GimpRGB structure that holds the picked color
`user_data` : | user data set when the signal handler was connected.